curl "https://api.scanova.io/media/4821/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 4821,
"file": "media/uploads/104/2026/09/20260908_512873_logo.png",
"upload": null,
"file_name": "20260908_512873_logo.png",
"size": 48213,
"human_readable_size": "47.08 KB",
"original_name": "logo.png",
"bulk_media": null,
"mime_type": "image/png",
"file_type": "png",
"in_use": "qr_logo",
"category": "custom-design",
"created": "2026-09-08T10:15:32.120Z",
"modified": "2026-09-08T10:15:32.120Z"
}
Bibliothèque multimédia
Récupérer un fichier
GET /media//
GET
/
media
/
{pk}
/
curl "https://api.scanova.io/media/4821/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 4821,
"file": "media/uploads/104/2026/09/20260908_512873_logo.png",
"upload": null,
"file_name": "20260908_512873_logo.png",
"size": 48213,
"human_readable_size": "47.08 KB",
"original_name": "logo.png",
"bulk_media": null,
"mime_type": "image/png",
"file_type": "png",
"in_use": "qr_logo",
"category": "custom-design",
"created": "2026-09-08T10:15:32.120Z",
"modified": "2026-09-08T10:15:32.120Z"
}
Récupère l’enregistrement d’un fichier, sur l’hôte de l’API de gestion (
api.scanova.io), authentifié avec votre clé d’API de gestion brute.
GET https://api.scanova.io/media/{pk}/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
integer
requis
L’
id du fichier, provenant de Lister les fichiers téléversés.curl "https://api.scanova.io/media/4821/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 4821,
"file": "media/uploads/104/2026/09/20260908_512873_logo.png",
"upload": null,
"file_name": "20260908_512873_logo.png",
"size": 48213,
"human_readable_size": "47.08 KB",
"original_name": "logo.png",
"bulk_media": null,
"mime_type": "image/png",
"file_type": "png",
"in_use": "qr_logo",
"category": "custom-design",
"created": "2026-09-08T10:15:32.120Z",
"modified": "2026-09-08T10:15:32.120Z"
}
404 si pk ne correspond pas à un fichier appartenant à ce compte.
Voir aussi
- Lister les fichiers téléversés — trouver l’
id. - Supprimer un fichier — supprimer ce fichier.
- Présentation de l’API de gestion — le schéma d’authentification et les règles de quota applicables à cet endpoint.
Autorisations
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
Paramètres de chemin
Réponse
One file record.
Cette page vous a-t-elle été utile ?